Skip to main content
`Ctrl`+`K`

# PetscRegressorLinearGetIntercept

Get the intercept from a linear regression model

## Synopsis

    #include "petscregressor.h"
    PETSC_EXTERN PetscErrorCode PetscRegressorLinearGetIntercept(PetscRegressor regressor, PetscScalar *intercept)

Not Collective

## Input Parameter

- regressor - the `PetscRegressor` context

## Output Parameter

- intercept - the intercept

## See Also

`PetscRegressor`, `PetscRegressorLinearSetFitIntercept()`, `PetscRegressorLinearGetCoefficients()`, `PETSCREGRESSORLINEAR`

## Level

beginner

## Location

src/ml/regressor/impls/linear/linear.c

## Implementations

PetscRegressorLinearGetIntercept_Linear() in src/ml/regressor/impls/linear/linear.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages